Package: org.gradle.api.publish.ivy.plugins

## [Java] Class IvyPublishPlugin

- org.gradle.api.publish.ivy.plugins.IvyPublishPlugin

- All Implemented Interfaces and Traits:
    Plugin

      @Incubating
      public class IvyPublishPlugin
      extends Object

  Adds the ability to publish in the Ivy format to Ivy repositories.

  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and description
    `IvyPublishPlugin (org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.artifacts.configurations.DependencyMetaDataProvider dependencyMetaDataProvider, org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.api.publish.internal.ProjectDependencyPublicationResolver projectDependencyResolver)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### @javax.inject.Inject public IvyPublishPlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.artifacts.configurations.DependencyMetaDataProvider dependencyMetaDataProvider, org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.api.publish.internal.ProjectDependencyPublicationResolver projectDependencyResolver)

  - ### Method Detail

    - #### public void apply(Project project)